@echo off
setlocal
PUSHD %~dp0
::-------------------------------------------------
:: Autor: Erich Vonach
::        IT-Regionalbetreuer
:: Datum: 26.06.2019
::-------------------------------------------------
::
::------------ Variable setzten -------------------
::
set SourceDir=%cd%
set CName=Server
::
::
::-------------------------------------------------

::------------ SERVER-ermitteln -------------------
::
if EXIST "\\server\netlogon" goto noDFS
if EXIST "\\schule.aps\netlogon" goto DFS
::
:noDFS
set MYSERVER=Server
set MYSERVER1=Server
set MYSERVER2=Server
set VERKNUEPFUNGEN=Verknuepfungen_noDFS
set VERKNUEPFUNGEN_LEHRER=Verknuepfungen_noDFS_Lehrer
set BATCOPY=Bat_noDFS
::
goto Abfrage

:DFS
set MYSERVER=schule.aps
set MYSERVER1=schule.aps\dfs
set MYSERVER2=DCSchule
set VERKNUEPFUNGEN=Verknuepfungen_DFS
set VERKNUEPFUNGEN_LEHRER=Verknuepfungen_DFS_Lehrer
set BATCOPY=Bat_DFS
::
goto Abfrage
::
cls
::
:Abfrage
::
set PATCHNR-2=RBSrv19_W2k19_P002
set PATCHNR-1=RBSrv19_W2k19_P001
set LOGFILE-2=\\%MYSERVER1%\Logs\%PATCHNR-2%.log
set LOGFILE-1=\\%MYSERVER1%\Logs\%PATCHNR-1%.log
::
if exist %LOGFILE-2% goto noPatch
::
:: gehe zum Standardprogramm und kehre zu Befehle zurck
:: - wurde Batch schon ausgefhrt?
:: - ist Batch fr Betriebssystem geeignet?
::
goto Standardprogramm
::
:Befehle
::
::-----------------
::  Abfrage Eignung
::-----------------
::
If /i %computername%==%CName% goto ANWEISUNGEN
goto UNGEEIGNET
::
:ANWEISUNGEN
::
cls
::
color E0
::
echo.
echo -------------------------------------------------------------------------------
echo.
echo      Dies ist der 2. Patch fr die Standardschulinstallation 2019.
echo      Dieser Patch setzt die Installation des 1. Patch voraus.
echo.
echo -------------------------------------------------------------------------------
echo.
echo   - Austausch der Datei 'userlogin_v18.1.vbs'
echo   - Austausch der Datei 'userlogout_v18.1.vbs'
echo.
echo   - Austausch von Verknpfungen in '...\_Umleitung$\...\Anwendungen
echo.
echo   - Standardbenutzergruppen (grpXY) wird das Recht entzogen, (nur) den Ordner
echo     LOGS aufzulisten und Dateien anzuzeigen.
echo.
echo -------------------------------------------------------------------------------
echo   Weiter mit "ja" plus ENTER    (andere Taste bricht ab)
echo -------------------------------------------------------------------------------
set /p AUSWAHL= fortsetzen?   
echo. -------------------------------------------------------
if /i "%AUSWAHL%"=="ja" goto WEITER_1
echo.
echo ... abgebrochen ...
ping -n 3 127.0.0.1 >nul
del %LOGFILE-2%
exit
rem -----Raus-----------------------
::
::
::---------------
::  Kopiervorgang
::---------------
::
:Weiter_1
::
if not exist %LOGFILE-1% goto Patch-1
::
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE-2%"
echo --^>   Script-Dateien wurden nach '...\netlogon\Utilities\User-Login-Logout-Monitor' kopiert       		>>"%LOGFILE-2%"
echo.                                                                              					>>"%LOGFILE-2%"
:: ====LOG=============================================================================
::
xcopy "%SourceDir%\_Server\Netlogon\*.*" "\\%MYSERVER2%\Netlogon\Utilities\User-Login-Logout-Monitor" /K /R /E /I /S /C /H /Y
::
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE-2%"
echo --^>   Programmverknpfungen werden nach '...\_Umleitung$\...\Anwendungen' kopiert       				>>"%LOGFILE-2%"
echo.                                                                              					>>"%LOGFILE-2%"
:: ====LOG=============================================================================
::
xcopy "%SourceDir%\_Server\Verknuepfungen\*.*" "\\%MYSERVER1%\_Umleitung$\LehrerIconsVerwaltung\Anwendungen" /KREISCHY
xcopy "%SourceDir%\_Server\Verknuepfungen\*.*" "\\%MYSERVER1%\_Umleitung$\LehrerIconsVerwaltung_VS\Anwendungen" /KREISCHY
xcopy "%SourceDir%\_Server\Verknuepfungen\*.*" "\\%MYSERVER1%\_Umleitung$\SchuelerStartMenue\Anwendungen" /KREISCHY
xcopy "%SourceDir%\_Server\Verknuepfungen\*.*" "\\%MYSERVER1%\_Umleitung$\SchuelerStartMenue_VS\Anwendungen" /KREISCHY
::
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE-2%"
echo --^>   Fr den Ordner '...\LOGS' haben die Standardbenutzergruppen (grpXY) KEINE       				>>"%LOGFILE-2%"
echo --^>   Rechte mehr, den Ordner aufzulisten und Daten zu lesen.			       				>>"%LOGFILE-2%"
echo.                                                                              					>>"%LOGFILE-2%"
:: ====LOG=============================================================================
::
CDACLS \\schule.aps\dfs\Logs /L /D grpDirektion:S:c:O
CDACLS \\schule.aps\dfs\Logs /L /D grpDirektion_VS:S:c:O
::
CDACLS \\schule.aps\dfs\Logs /L /D grpLehrer:S:c:O
CDACLS \\schule.aps\dfs\Logs /L /D grpLehrer_VS:S:c:O
::
CDACLS \\schule.aps\dfs\Logs /L /D grpSchueler:S:c:O
CDACLS \\schule.aps\dfs\Logs /L /D grpSchueler_VS:S:c:O
::
CDACLS \\schule.aps\dfs\Logs /L /D grpSchueler_individuell:S:c:O
CDACLS \\schule.aps\dfs\Logs /L /D grpSchueler_individuell_VS:S:c:O
::
CDACLS \\schule.aps\dfs\Logs /L /D grpECDL:S:c:O
CDACLS \\schule.aps\dfs\Logs /L /D grpKurs:S:c:O
CDACLS \\schule.aps\dfs\Logs /L /D grpSonstige:S:c:O
::
echo  --------------------------------------------------------------
cls
color 2E
echo.
echo   Vorgang wurde erfolgreich ausgefhrt!
echo.
echo.  Nach einem Tastendruck ffnet der
echo   Windows-Explorer zur Kontrolle des nderungsdatums
echo   der beiden Script-Dateien (25.06.2019)
echo.
echo.
echo   Ein Log-File ist im Ordner '...\LOGS' zu finden
echo  --------------------------------------------------------------
echo.
::
pause
::
explorer.exe \\%MYSERVER2%\netlogon\Utilities\User-Login-Logout-Monitor
::
goto ENDE
::
:UNGEEIGNET
echo  ---------------------------------------------------
cls
color 4F
echo.
echo.
echo  Falscher Rechner!
echo  Dieser Batch muss auf dem %CName% ausgefhrt werden.
echo.
echo  ---------------------------------------------------
echo.
pause
goto ENDE
::

:: ************************************************************************************
:: * Patch bereits ausgefhrt                                                         *
:: ************************************************************************************
:NoPatch
cls
color 4F
echo.
echo.
echo Diese Installationsroutine wurde auf diesem Rechner bereits ausgefhrt.
echo.
echo Siehe %LOGFILE-2%
echo.
echo.
pause
goto ENDE
::
:: ************************************************************************************
:: * Patch 1 noch nicht ausgefhrt                                                         *
:: ************************************************************************************
:Patch-1
cls
color 4F
echo.
echo.
echo %PatchNr-1% wurde noch nicht ausgefhrt.
echo.
echo.
pause
goto ENDE
::
::
:Standardprogramm

:: * Log-Datei erstellen *
::************************
::
:: ====LOG================================================================================
echo Autor E. Vonach    				      		      >>"%LOGFILE-2%"
echo Dieses Logfile bitte nicht lschen!				      >>"%LOGFILE-2%"
echo Patch ausgefhrt am                   %date%  um  Zeit:  %time%          >>"%LOGFILE-2%"
echo.
echo Protokoll:             %LOGFILE-2%                                       >>"%LOGFILE-2%"
echo ------------------------------------------------------------------------ >>"%LOGFILE-2%"
echo.                                                                         >>"%LOGFILE-2%"
:: ====LOG================================================================================
::

goto Befehle
:ENDE
endlocal
